
Redmine - Defect #37922

Valid email address is not allowed

2022-11-10 13:38 - Eugen Konkov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 5.0.3

Description

I have locally enable email server. My domain is local/localhost

Expected behavior: allow `kes@localhost` emails

Related issues:

Related to Redmine - Defect #36969: EmailAddress regex matches invalid email ... Closed

History

#1 - 2022-11-13 08:38 - Go MAEDA

- Category changed from UI to Accounts / authentication

The change proposed in #36969#note-2 will resolve this issue.

#2 - 2022-11-13 08:39 - Go MAEDA

- Related to Defect #36969: EmailAddress regex matches invalid email addresses added

#3 - 2024-02-05 15:46 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in Redmine 5.1.0 (#36969). Redmine now accepts "user@domain" format email addresses.
